"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeletePipeline_1 = require("../model/operations/DeletePipeline");
var DeletePipelineCommand = /** @class */ (function () {
    function DeletePipelineCommand(input) {
        this.input = input;
        this.model = DeletePipeline_1.DeletePipeline;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeletePipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeletePipelineCommand;
}());
exports.DeletePipelineCommand = DeletePipelineCommand;
//# sourceMappingURL=DeletePipelineCommand.js.map