"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RetryStageExecution_1 = require("../model/operations/RetryStageExecution");
var RetryStageExecutionCommand = /** @class */ (function () {
    function RetryStageExecutionCommand(input) {
        this.input = input;
        this.model = RetryStageExecution_1.RetryStageExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RetryStageExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RetryStageExecutionCommand;
}());
exports.RetryStageExecutionCommand = RetryStageExecutionCommand;
//# sourceMappingURL=RetryStageExecutionCommand.js.map