"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePipelineInput_1 = require("../shapes/CreatePipelineInput");
var CreatePipelineOutput_1 = require("../shapes/CreatePipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNameInUseException_1 = require("../shapes/PipelineNameInUseException");
var InvalidStageDeclarationException_1 = require("../shapes/InvalidStageDeclarationException");
var InvalidActionDeclarationException_1 = require("../shapes/InvalidActionDeclarationException");
var InvalidBlockerDeclarationException_1 = require("../shapes/InvalidBlockerDeclarationException");
var InvalidStructureException_1 = require("../shapes/InvalidStructureException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidTagsException_1 = require("../shapes/InvalidTagsException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePipeline",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreatePipelineInput_1.CreatePipelineInput
    },
    output: {
        shape: CreatePipelineOutput_1.CreatePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNameInUseException_1.PipelineNameInUseException
        },
        {
            shape: InvalidStageDeclarationException_1.InvalidStageDeclarationException
        },
        {
            shape: InvalidActionDeclarationException_1.InvalidActionDeclarationException
        },
        {
            shape: InvalidBlockerDeclarationException_1.InvalidBlockerDeclarationException
        },
        {
            shape: InvalidStructureException_1.InvalidStructureException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidTagsException_1.InvalidTagsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=CreatePipeline.js.map