"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutWebhookInput_1 = require("../shapes/PutWebhookInput");
var PutWebhookOutput_1 = require("../shapes/PutWebhookOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InvalidWebhookFilterPatternException_1 = require("../shapes/InvalidWebhookFilterPatternException");
var InvalidWebhookAuthenticationParametersException_1 = require("../shapes/InvalidWebhookAuthenticationParametersException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var TooManyTagsException_1 = require("../shapes/TooManyTagsException");
var InvalidTagsException_1 = require("../shapes/InvalidTagsException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutWebhook = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutWebhook",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutWebhookInput_1.PutWebhookInput
    },
    output: {
        shape: PutWebhookOutput_1.PutWebhookOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InvalidWebhookFilterPatternException_1.InvalidWebhookFilterPatternException
        },
        {
            shape: InvalidWebhookAuthenticationParametersException_1.InvalidWebhookAuthenticationParametersException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: TooManyTagsException_1.TooManyTagsException
        },
        {
            shape: InvalidTagsException_1.InvalidTagsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=PutWebhook.js.map