"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RetryStageExecutionInput_1 = require("../shapes/RetryStageExecutionInput");
var RetryStageExecutionOutput_1 = require("../shapes/RetryStageExecutionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var StageNotFoundException_1 = require("../shapes/StageNotFoundException");
var StageNotRetryableException_1 = require("../shapes/StageNotRetryableException");
var NotLatestPipelineExecutionException_1 = require("../shapes/NotLatestPipelineExecutionException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RetryStageExecution = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RetryStageExecution",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RetryStageExecutionInput_1.RetryStageExecutionInput
    },
    output: {
        shape: RetryStageExecutionOutput_1.RetryStageExecutionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: StageNotFoundException_1.StageNotFoundException
        },
        {
            shape: StageNotRetryableException_1.StageNotRetryableException
        },
        {
            shape: NotLatestPipelineExecutionException_1.NotLatestPipelineExecutionException
        }
    ]
};
//# sourceMappingURL=RetryStageExecution.js.map