"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdatePipelineInput_1 = require("../shapes/UpdatePipelineInput");
var UpdatePipelineOutput_1 = require("../shapes/UpdatePipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidStageDeclarationException_1 = require("../shapes/InvalidStageDeclarationException");
var InvalidActionDeclarationException_1 = require("../shapes/InvalidActionDeclarationException");
var InvalidBlockerDeclarationException_1 = require("../shapes/InvalidBlockerDeclarationException");
var InvalidStructureException_1 = require("../shapes/InvalidStructureException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdatePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdatePipeline",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdatePipelineInput_1.UpdatePipelineInput
    },
    output: {
        shape: UpdatePipelineOutput_1.UpdatePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidStageDeclarationException_1.InvalidStageDeclarationException
        },
        {
            shape: InvalidActionDeclarationException_1.InvalidActionDeclarationException
        },
        {
            shape: InvalidBlockerDeclarationException_1.InvalidBlockerDeclarationException
        },
        {
            shape: InvalidStructureException_1.InvalidStructureException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        }
    ]
};
//# sourceMappingURL=UpdatePipeline.js.map