import { _CurrentRevision } from "./_CurrentRevision";
import { _ExecutionDetails } from "./_ExecutionDetails";
import { BrowserHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>Represents the input of a <code>PutThirdPartyJobSuccessResult</code> action.</p>
 */
export interface PutThirdPartyJobSuccessResultInput {
    /**
     * <p>The ID of the job that successfully completed. This is the same ID returned from <code>PollForThirdPartyJobs</code>.</p>
     */
    jobId: string;
    /**
     * <p>The clientToken portion of the clientId and clientToken pair used to verify that the calling entity is allowed access to the job and its details.</p>
     */
    clientToken: string;
    /**
     * <p>Represents information about a current revision.</p>
     */
    currentRevision?: _CurrentRevision;
    /**
     * <p>A token generated by a job worker, such as an AWS CodeDeploy deployment ID, that a successful job provides to identify a partner action in progress. Future jobs will use this token in order to identify the running instance of the action. It can be reused to return additional information about the progress of the partner action. When the action is complete, no continuation token should be supplied.</p>
     */
    continuationToken?: string;
    /**
     * <p>The details of the actions taken and results produced on an artifact as it passes through stages in the pipeline. </p>
     */
    executionDetails?: _ExecutionDetails;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
